Update listing
post
Body
primarybooleanOptional
notesstring · nullableOptional
Responses
201
Created
application/json
idstringOptional
revisioninteger · int32Optional
namestringOptional
primarybooleanOptional
notesstring · nullableOptional
400
Bad Request
application/json
403
Forbidden
application/json
500
Internal Server Error
post/public/v1/catalog/listings
POST /public/v1/catalog/listings HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 179
{
"primary": true,
"notes": "text",
"product": {
"id": "text"
},
"authorization": {
"id": "text"
},
"seller": {
"id": "text"
},
"priceList": {
"id": "text"
},
"eligibility": {
"client": true,
"partner": true
}
}{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"revision": 1,
"name": "text",
"authorization": {
"id": "text",
"name": "text",
"revision": 1,
"currency": "text"
},
"product": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"externalIds": {
"operations": "text",
"defaultErpItem": "text"
},
"status": "text"
},
"vendor": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
},
"seller": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"externalId": "text"
},
"priceList": {
"id": "text",
"revision": 1,
"currency": "text"
},
"primary": true,
"notes": "text",
"statistics": {
"subscriptions": 1,
"agreements": 1
},
"eligibility": {
"client": true,
"partner": true
}
}Last updated
Was this helpful?